-- Lesson: Homeostasy - System are never closed. 
--         They search for equilibrium (steady state) through 
--         negative feedback.
-- Author: Tiago Carneiro

------------------------------------------------------------
-- PARAMETER
------------------------------------------------------------
FIXED_GROWTH = 2
DECAY_RATE = 0.4

------------------------------------------------------------
-- MODEL
------------------------------------------------------------

stock  		= 2.0 	-- try 0.0 		2.0 		4.0		10.0 	100.0

function change( stockPast )
	return FIXED_GROWTH  - DECAY_RATE * stockPast
end 

------------------------------------------------------------
-- SIMULATION
------------------------------------------------------------

for t = 1, 100 do

	stock = stock + change( stock )
	print( stock )
	
end